%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
%global tomcat_native_dir tomcat-native-1.1.22

%ifarch i386
%global maven_arch i686
%else
%global maven_arch x86_64
%endif

Name:             jboss-web-native
Version:          2.0.10
Release:          1%{?dist}
Summary:          JBoss Web Native
Group:            Development/Libraries
License:          LGPLv2+
URL:              http://www.jboss.org/

Source0:          http://downloads.jboss.org/jbossnative/%{version}/jboss-native-%{version}-src-ssl.tar.gz

# svn export http://anonsvn.jboss.org/repos/jbossnative/tags/2.0.10.Final/ jboss-web-native
# cd jboss-web-native && tar cafJ ../jboss-web-native-2.0.10.Final.tar.xz *
Source1:          %{name}-%{namedversion}.tar.xz

Patch0:           %{name}-%{namedversion}-pom.patch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    openssl-devel
BuildRequires:    apr-devel
BuildRequires:    gcc
BuildRequires:    make
BuildRequires:    maven
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-assembly-plugin

Requires:         jpackage-utils
Requires:         java

%description
This package contains support for Apache Portable Runtime (APR) in JBoss AS.

%prep
%setup -q -n jboss-native-%{version}-src-ssl
%setup -q -a 1 -n jboss-native-%{version}-src-ssl

# Remove unecessary directories
find srclib -mindepth 1 -maxdepth 1 ! -name %{tomcat_native_dir} -print0|xargs -0 -r rm -rf

%patch0 -p1

%build
pushd srclib/%{tomcat_native_dir}
  ./configure --with-apr=%{_bindir}/apr-1-config --with-java-home=%{java_home} --with-java-platform=2

  make %{?_smp_mflags}
popd

mvn-rpmbuild -Darch=%{maven_arch} install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javajnidir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# JAR

# No, this is not a mistake!
install -pm 644 target/jbossweb-native.jar.jar $RPM_BUILD_ROOT%{_javajnidir}/%{name}.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javajnidir}/*

%changelog
* Tue Apr 24 2012 Marek Goldmann <mgoldman@redhat.com> 2.0.10-1
- Initial packaging

